%define major           5.45
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

Summary:        A tcl extension for simplifying program-script interaction
Name:           expect
Epoch:          1
Version:        5.45
Release:        %mkrel 6
Group:          System/Libraries
License:        BSD
URL:            http://expect.nist.gov/
Source:         http://downloads.sourceforge.net/%{name}/%{name}%{version}.tar.gz
# Patch1: fixes install loation, change pkgIndex
# From Fedora
Patch1:         expect-5.43.0-pkgpath.patch
Patch10:        expect-fedora-5.32.2-random.patch
# fix log file perms (Fedora)
Patch25:        expect-fedora-5.43.0-log_file.patch
# (fc) 5.43.0-16mdv fix format security
Patch27:        expect-5.43.0-fixformatsecurity.patch
BuildRequires:  tcl
BuildRequires:  tcl-devel
BuildRequires:  tk
BuildRequires:  tk-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       tcl
Requires:       %{libname} = %{epoch}:%{version}
# for multixterm
Requires:       xterm
Provides:       %{_bindir}/expect
Provides:       %{_bindir}/expectk

%description
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package -n     %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%package        examples
Summary:        Example scripts for %{name}
Group:          System/Libraries

%description    examples
This package contains example scripts for Expect.

Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%prep

%setup -q -n %{name}%{version}
%patch1 -p1 -b .pkgpath
%patch10 -p1 -b .random
%patch25 -p1 -b .log
%patch27 -p1 -b .fixformatsecurity

%build
autoreconf -vfi
%configure2_5x \
    --enable-gcc \
    --enable-shared \
    --with-tcl=%{_libdir} \
    --with-tk=%{_libdir} \
    --with-tclinclude=%{_includedir}/tcl-private/generic

%make_build

%check
make test

%install
%make_install INSTALL_ROOT=%{buildroot}

# move
mv %{buildroot}%{tcl_sitearch}/expect%{version}/libexpect%{version}.so %{buildroot}%{_libdir}
# mv %{buildroot}%{_libdir}/expect%{version}/libexpect%{version}.so %{buildroot}%{_libdir}

# for linking with -lexpect
ln -s libexpect%{major}.so %{buildroot}%{_libdir}/libexpect.so

# remove cryptdir/decryptdir, as Linux has no crypt command (bug 6668).
rm -f %{buildroot}%{_bindir}/{cryptdir,decryptdir}
rm -f %{buildroot}%{_mandir}/man1/{cryptdir,decryptdir}.1*
rm -f %{buildroot}%{_bindir}/autopasswd

%files
%doc ChangeLog FAQ HISTORY NEWS README
%{_bindir}/*
%{tcl_sitearch}/%{name}%{major}
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%{_libdir}/lib%{name}%{version}.so

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so

%files examples
%doc example/*


%changelog
* Sat Feb 25 2017 wally <wally> 1:5.45-6.mga6
+ Revision: 1087847
- require xterm for multixterm

* Sat Mar 12 2016 shlomif <shlomif> 1:5.45-5.mga6
+ Revision: 989600
- Hopefully fix it now

* Sat Mar 12 2016 shlomif <shlomif> 1:5.45-4.mga6
+ Revision: 989596
- Fix the duplicate files (Comment #2).

* Sat Mar 12 2016 shlomif <shlomif> 1:5.45-3.mga6
+ Revision: 989527
- Fix broken symlink (MGA#17967)

* Thu Feb 11 2016 umeabot <umeabot> 1:5.45-2.mga6
+ Revision: 953877
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 shlomif <shlomif> 1:5.45-1.mga6
+ Revision: 889419
- New version 5.45
- Remove a lot of old patches.
- Sync based on the Fedora package.
- Some patches in the Fedora package were not included.

* Sun Oct 04 2015 tmb <tmb> 1:5.43.0-28.mga6
+ Revision: 886148
- enable p24 (tcl 8.6 buildfix)
- rebuild for new tcl

  + tv <tv>
    - rebuild for new tcl

* Wed Oct 15 2014 umeabot <umeabot> 1:5.43.0-26.mga5
+ Revision: 743854
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 tv <tv> 1:5.43.0-25.mga5
+ Revision: 697352
- excludes requires from doc (mga#14123)

* Tue Sep 16 2014 umeabot <umeabot> 1:5.43.0-24.mga5
+ Revision: 679066
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:5.43.0-23.mga4
+ Revision: 504167
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:5.43.0-22.mga3
+ Revision: 349871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 fwang <fwang> 1:5.43.0-21.mga3
+ Revision: 294739
- specify tk dir also

* Wed Jul 06 2011 fwang <fwang> 1:5.43.0-20.mga2
+ Revision: 119156
- specify tcl dir
- disable patch for tcl8.6
- use correct tclinclude dir
- rebuild for new tcl

  + dmorgan <dmorgan>
    - Clean spec file

* Tue Jan 11 2011 pterjan <pterjan> 1:5.43.0-19.mga1
+ Revision: 6177
- Drop old scriptlets and obsoletes
- imported package expect


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1:5.43.0-19mdv2011.0
+ Revision: 605112
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:5.43.0-18mdv2010.1
+ Revision: 518998
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:5.43.0-17mdv2010.0
+ Revision: 424392
- rebuild

* Thu Mar 05 2009 Frederic Crozat <fcrozat@mandriva.com> 1:5.43.0-16mdv2009.1
+ Revision: 348818
- Patch27: fix format security error
- Explicitly provides /usr/bin/expect and /usr/bin/expectk

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1:5.43.0-15mdv2009.1
+ Revision: 310143
- fix up the lib naming
- new devel policy
- add tclreq.patch: relax the tcl version require (breaks with pre-releases)
- add tcl8.6.patch: fix for tcl 8.6
- add locations.patch to fix up install locations for new policy
- sync patches with fedora

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - run tests in rpm check stage

* Tue Jul 01 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1:5.43.0-14mdv2009.0
+ Revision: 230451
- include expect's examples in an expect-examples subpackage

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:5.43.0-13mdv2009.0
+ Revision: 220736
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1:5.43.0-12mdv2008.1
+ Revision: 149708
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1:5.43.0-11mdv2008.0
+ Revision: 82146
- buildrequires autoconf2.1
- rebuild for fixed soname of tcl

* Tue Jun 12 2007 Christiaan Welvaart <spturtle@mandriva.org> 1:5.43.0-10mdv2008.0
+ Revision: 38243
- add BuildRequires: libxscrnsaver-devel
- Patch22: work around build problems with tcl 8.5


* Mon Nov 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 5.43.0-9mdv2007.0
+ Revision: 76911
- Import expect

* Mon Nov 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 5.43.0-9mdv2007.1
- fix requires
- fix doc perms

* Wed Sep 20 2006 Oden Eriksson <oeriksson@mandriva.com> 5.43.0-8mdv2007.0
- fix deps

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 5.43.0-7mdk
- fix deps (i need thicker glasses)

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 5.43.0-6mdk
- fix deps

* Fri Jan 06 2006 Buchan Milne <bgmilne@mandriva.org> 5.43.0-5mdk
- bump epoch so it upgrades old bundled-with-tcl package

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 5.43.0-4mdk
- fix deps

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 5.43.0-3mdk
- fix library-without-ldconfig-postin

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 5.43.0-2mdk
- fix soname (P21) after looking at debian
- misc lib64 and spec file fixes

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.43.0-1mdk
- first release as a standalone package
- drop unused patches

